public inbox for linux-trace-kernel@vger.kernel.org
 help / color / mirror / Atom feed
From: Vincent Donnefort <vdonnefort@google.com>
To: rostedt@goodmis.org, mhiramat@kernel.org,
	mathieu.desnoyers@efficios.com,
	 linux-trace-kernel@vger.kernel.org, maz@kernel.org,
	oliver.upton@linux.dev,  joey.gouly@arm.com,
	suzuki.poulose@arm.com, yuzenghui@huawei.com
Cc: kvmarm@lists.linux.dev, linux-arm-kernel@lists.infradead.org,
	 jstultz@google.com, qperret@google.com, will@kernel.org,
	 aneesh.kumar@kernel.org, kernel-team@android.com,
	 linux-kernel@vger.kernel.org,
	Vincent Donnefort <vdonnefort@google.com>,
	 Shuah Khan <skhan@linuxfoundation.org>,
	linux-kselftest@vger.kernel.org
Subject: [PATCH v13 30/32] tracing: selftests: Add hypervisor trace remote tests
Date: Fri,  6 Mar 2026 14:35:34 +0000	[thread overview]
Message-ID: <20260306143536.339777-31-vdonnefort@google.com> (raw)
In-Reply-To: <20260306143536.339777-1-vdonnefort@google.com>

Run the trace remote selftests with the trace remote 'hypervisor', This
trace remote is most likely created when the arm64 KVM nVHE/pKVM
hypervisor is in use.

Cc: Shuah Khan <skhan@linuxfoundation.org>
Cc: linux-kselftest@vger.kernel.org
Signed-off-by: Vincent Donnefort <vdonnefort@google.com>

diff --git a/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/buffer_size.tc b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/buffer_size.tc
new file mode 100644
index 000000000000..64bf859d6406
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/buffer_size.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test hypervisor trace buffer size
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/buffer_size.tc
+
+set -e
+setup_remote "hypervisor"
+test_buffer_size
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/reset.tc b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/reset.tc
new file mode 100644
index 000000000000..7fe3b09b34e3
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/reset.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test hypervisor trace buffer reset
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/reset.tc
+
+set -e
+setup_remote "hypervisor"
+test_reset
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/trace.tc b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/trace.tc
new file mode 100644
index 000000000000..b937c19ca7f9
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/trace.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test hypervisor non-consuming trace read
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/trace.tc
+
+set -e
+setup_remote "hypervisor"
+test_trace
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/trace_pipe.tc b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/trace_pipe.tc
new file mode 100644
index 000000000000..66aa1b76c147
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/trace_pipe.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test hypervisor consuming trace read
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/trace_pipe.tc
+
+set -e
+setup_remote "hypervisor"
+test_trace_pipe
diff --git a/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/unloading.tc b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/unloading.tc
new file mode 100644
index 000000000000..1dafde3414ab
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/remotes/hypervisor/unloading.tc
@@ -0,0 +1,11 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Test hypervisor trace buffer unloading
+# requires: remotes/hypervisor/write_event
+
+SOURCE_REMOTE_TEST=1
+. $TEST_DIR/remotes/unloading.tc
+
+set -e
+setup_remote "hypervisor"
+test_unloading
-- 
2.53.0.473.g4a7958ca14-goog


  parent reply	other threads:[~2026-03-06 14:36 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2026-03-06 14:35 [PATCH v13 00/32] Tracefs support for pKVM Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 01/32] ring-buffer: Add page statistics to the meta-page Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 02/32] ring-buffer: Store bpage pointers into subbuf_ids Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 03/32] ring-buffer: Introduce ring-buffer remotes Vincent Donnefort
2026-03-06 16:37   ` Markus Elfring
2026-03-11 15:23     ` Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 04/32] ring-buffer: Add non-consuming read for " Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 05/32] tracing: Introduce trace remotes Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 06/32] tracing: Add reset to " Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 07/32] tracing: Add non-consuming read " Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 08/32] tracing: Add init callback " Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 09/32] tracing: Add events " Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 10/32] tracing: Add events/ root files " Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 11/32] tracing: Add helpers to create trace remote events Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 12/32] ring-buffer: Export buffer_data_page and macros Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 13/32] tracing: Introduce simple_ring_buffer Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 14/32] tracing: Add a trace remote module for testing Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 15/32] tracing: selftests: Add trace remote tests Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 16/32] Documentation: tracing: Add tracing remotes Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 17/32] tracing: load/unload page callbacks for simple_ring_buffer Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 18/32] tracing: Check for undefined symbols in simple_ring_buffer Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 19/32] KVM: arm64: Add PKVM_DISABLE_STAGE2_ON_PANIC Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 20/32] KVM: arm64: Add clock support to nVHE/pKVM hyp Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 21/32] KVM: arm64: Initialise hyp_nr_cpus for nVHE hyp Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 22/32] KVM: arm64: Support unaligned fixmap in the pKVM hyp Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 23/32] KVM: arm64: Add tracing capability for the nVHE/pKVM hyp Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 24/32] KVM: arm64: Add trace remote " Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 25/32] KVM: arm64: Sync boot clock with " Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 26/32] KVM: arm64: Add trace reset to " Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 27/32] KVM: arm64: Add event support to the nVHE/pKVM hyp and trace remote Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 28/32] KVM: arm64: Add hyp_enter/hyp_exit events to nVHE/pKVM hyp Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 29/32] KVM: arm64: Add selftest event support " Vincent Donnefort
2026-03-06 14:35 ` Vincent Donnefort [this message]
2026-03-06 14:35 ` [PATCH v13 31/32] fixup! tracing: Add a trace remote module for testing Vincent Donnefort
2026-03-06 14:35 ` [PATCH v13 32/32] " Vincent Donnefort
2026-03-09  1:45 ` [PATCH v13 00/32] Tracefs support for pKVM Steven Rostedt

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20260306143536.339777-31-vdonnefort@google.com \
    --to=vdonnefort@google.com \
    --cc=aneesh.kumar@kernel.org \
    --cc=joey.gouly@arm.com \
    --cc=jstultz@google.com \
    --cc=kernel-team@android.com \
    --cc=kvmarm@lists.linux.dev \
    --cc=linux-arm-kernel@lists.infradead.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-kselftest@vger.kernel.org \
    --cc=linux-trace-kernel@vger.kernel.org \
    --cc=mathieu.desnoyers@efficios.com \
    --cc=maz@kernel.org \
    --cc=mhiramat@kernel.org \
    --cc=oliver.upton@linux.dev \
    --cc=qperret@google.com \
    --cc=rostedt@goodmis.org \
    --cc=skhan@linuxfoundation.org \
    --cc=suzuki.poulose@arm.com \
    --cc=will@kernel.org \
    --cc=yuzenghui@huawei.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox